pulseaudio crashed with SIGABRT in pa_alsa_path_set_volume() from source_set_volume_cb() from pa_source_process_msg()

Bug #1539209 reported by MrRomanze on 2016-01-28
206
This bug affects 39 people
Affects Status Importance Assigned to Milestone
PulseAudio
Fix Released
Medium
pulseaudio (Ubuntu)
High
Daniel van Vugt
Xenial
High
Unassigned
Zesty
High
Unassigned
Artful
High
Daniel van Vugt

Bug Description

https://errors.ubuntu.com/problem/49276ec9f717c5268dfc99940a28fb4a56fe1b4a

---

[Impact]
pulseaudio daemon crashes, interrupting sound output/input.

[Test Case]
Theoretical test case (crash does not happen for all users):
1. Find some headphones and/or microphone. Ensure you do not wear the
   headphones during the test as it may be loud.
2. Set audio output/input volumes to maximum.
3. Unplug and replug the headphones/microphone.
4. Check that that pulseaudio process is still running, with a start time
   older than when you began this test case.

[Regression Potential]
Low. This SRU affects the pulseaudio daemon only so the worst case would be loss of sound output/input. The same patches have been released to
17.10 for a month already and zero regressions of the crashes have
occurred worldwide since then.

[Original Description]

Appears randomly.

ProblemType: Crash
DistroRelease: Ubuntu 16.04
Package: pulseaudio 1:7.1-1ubuntu3
ProcVersionSignature: Ubuntu 4.3.0-7.18-generic 4.3.3
Uname: Linux 4.3.0-7-generic x86_64
ApportVersion: 2.19.4-0ubuntu1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/pcmC0D0p: potato 12883 F...m pulseaudio
 /dev/snd/controlC0: potato 12883 F.... pulseaudio
 /dev/snd/controlC1: potato 12883 F.... pulseaudio
CurrentDesktop: Unity
Date: Thu Jan 28 22:16:03 2016
ExecutablePath: /usr/bin/pulseaudio
InstallationDate: Installed on 2016-01-17 (11 days ago)
InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
ProcCmdline: /usr/bin/pulseaudio --start --log-target=syslog
ProcEnviron:
 PATH=(custom, no user)
 SHELL=/bin/bash
 LANG=ru_RU.UTF-8
 LANGUAGE=ru
 XDG_RUNTIME_DIR=<set>
Signal: 6
SourcePackage: pulseaudio
StacktraceTop:
 pa_alsa_path_set_volume () from /usr/lib/pulse-7.1/modules/libalsa-util.so
 ?? () from /usr/lib/pulse-7.1/modules/libalsa-util.so
 pa_source_process_msg () from /usr/lib/libpulsecore-7.1.so
 ?? () from /usr/lib/pulse-7.1/modules/libalsa-util.so
 ?? () from /usr/lib/libpulsecore-7.1.so
Title: pulseaudio crashed with SIGABRT in pa_alsa_path_set_volume()
UpgradeStatus: Upgraded to xenial on 2016-01-28 (0 days ago)
UserGroups: adm audio cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 12/07/2009
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: V1.11
dmi.board.name: JV71TR
dmi.board.vendor: Acer
dmi.board.version: Rev
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: None
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrV1.11:bd12/07/2009:svnAcer:pnAspire7540:pvr0100:rvnAcer:rnJV71TR:rvrRev:cvnAcer:ct10:cvrNone:
dmi.product.name: Aspire 7540
dmi.product.version: 0100
dmi.sys.vendor: Acer
modified.conffile..etc.pulse.daemon.conf: [modified]
mtime.conffile..etc.pulse.daemon.conf: 2016-01-25T21:44:07.089113

MrRomanze (mrromanze) on 2016-01-28
information type: Private → Public
information type: Public → Private
MrRomanze (mrromanze) on 2016-01-29
information type: Private → Public

StacktraceTop:
 pa_alsa_path_set_volume () from /tmp/apport_sandbox_PORQSw/usr/lib/pulse-7.1/modules/libalsa-util.so
 source_set_volume_cb () from /tmp/apport_sandbox_PORQSw/usr/lib/pulse-7.1/modules/libalsa-util.so
 pa_source_process_msg () from /tmp/apport_sandbox_PORQSw/usr/lib/libpulsecore-7.1.so
 source_process_msg () from /tmp/apport_sandbox_PORQSw/usr/lib/pulse-7.1/modules/libalsa-util.so
 set_shared_volume_within_thread () from /tmp/apport_sandbox_PORQSw/usr/lib/libpulsecore-7.1.so

Changed in pulseaudio (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in pulseaudio (Ubuntu):
status: New → Confirmed
David Henningsson (diwic) wrote :

Relevant error in journalerrors.txt:

 pulseaudio[3130]: [alsa-source-ALC888 Analog] alsa-mixer.c: Assertion 'pa_cvolume_compatible_with_channel_map(v, cm)' failed at modules/alsa/alsa-mixer.c:1214, function pa_alsa_path_set_volume(). Aborting.

David Henningsson (diwic) wrote :

Hi!

You say it appears randomly. It looks like it's related to setting the input gain of the microphone (or line input). This seems to hit several people, so we should try nail it down. Is there anyone here who'd like to take some time and work with me to try to find the bug? (Might require you to get more logs, try test versions of Pulseaudio, etc).

Changed in pulseaudio (Ubuntu):
status: Confirmed → Incomplete
assignee: nobody → David Henningsson (diwic)
Raymond (superquad-vortex2) wrote :

If your acer aspire 7540 have line in, mic and internal mic, do alsa driver disable auto mic selection by create capture source control for selecting input

Fabio Marconi (fabiomarconi) wrote :

I have this, it appeared months ago during the alpha stage i think, but it was fixed somewhere, now, after yesterday's update it is back again.
Pls kill it...
Thanks and regards

Fabio Marconi (fabiomarconi) wrote :

installing just now dbg libs to provvide better traces

tags: added: rls-x-incoming
Changed in pulseaudio (Ubuntu):
milestone: none → ubuntu-16.04
David Henningsson (diwic) wrote :

Anyhow the first thing needed is probably an alsa-info: https://wiki.ubuntu.com/Audio/AlsaInfo
And if possible to reproduce while logging is on, this would be helpful too: https://wiki.ubuntu.com/PulseAudio/Log

Might not be enough to fix the bug, but should provide a few pointers w r t where to start looking..

Fabio Marconi (fabiomarconi) wrote :

Just had the crash but not enough time to follow your suggestions, anyway I attach the apport generated log in the case it is useful.
I was using the pc but nothing related to audio, just browsing internet.

Changed in pulseaudio (Ubuntu):
status: Incomplete → Confirmed
Fabio Marconi (fabiomarconi) wrote :
Fabio Marconi (fabiomarconi) wrote :

AlsaInfo

Fabio Marconi (fabiomarconi) wrote :

I have to add that at that moment I had the midi keyboard connected and the pulseaudio mic volume was set to maximum.

mar 17 15:22:03 Billy pulseaudio[1726]: [alsa-source-ALC887 Analog] alsa-mixer.c: Assertion 'pa_cvolume_compatible_with_channel_map(v, cm)' failed at modules/alsa/alsa-mixer.c:1222, function pa_alsa_path_set_volume(). Aborting.
 mar 17 15:22:04 Billy pulseaudio[6344]: [pulseaudio] pid.c: Stale PID file, overwriting.
 mar 17 15:22:05 Billy pulseaudio[6344]: [pulseaudio] module-alsa-card.c: Failed to find a working profile.
 mar 17 15:22:05 Billy pulseaudio[6344]: [pulseaudio] module.c: Failed to load module "module-alsa-card" (argument: "device_id="2" name="usb-BEHRINGER_UMX_610-00" card_name="alsa_card.usb-BEHRINGER_UMX_610-00" namereg_fail=false tsched=yes fixed_latency_range=no ignore_dB=no deferred_volume=yes use_ucm=yes card_properties="module-udev-detect.discovered=1""): initialization failed.
 mar 17 15:22:30 Billy pulseaudio[6344]: [pulseaudio] bluez5-util.c: GetManagedObjects() failed: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Raymond (superquad-vortex2) wrote :

https://cgit.freedesktop.org/pulseaudio/pulseaudio/tree/src/modules/module-udev-detect.c

Can you post output of alsa-info.sh for your usb midi?

udev-detect /switch-on-connect need to skip any usb card without pcm device?

Raymond (superquad-vortex2) wrote :

!!-------Mixer controls for card 1 [U610]

Card hw:1 'U610'/'BEHRINGER UMX 610 at usb-0000:00:12.0-1, full speed'
Mixer name : 'USB Mixer'
Components : 'USB1397:01b0'
Controls : 0
Simple ctrls : 0

Fabio Marconi (fabiomarconi) wrote :

!!USB Mixer information
!!---------------------
--startcollapse--

USB Mixer: usb_id=0x139701b0, ctrlif=0, ctlerr=0
Card: BEHRINGER UMX 610 at usb-0000:00:1d.1-2, full speed
--endcollapse--

!!-------Mixer controls for card 2 [U610]

Card hw:2 'U610'/'BEHRINGER UMX 610 at usb-0000:00:1d.1-2, full speed'
  Mixer name : 'USB Mixer'
  Components : 'USB1397:01b0'
  Controls : 0
  Simple ctrls : 0

David Henningsson (diwic) wrote :

Indeed your alsa-info has some four-channel inputs. Which makes me think maybe this patch:

https://lists.freedesktop.org/archives/pulseaudio-discuss/2016-March/025659.html

...could solve the problem. Should at least be worth a try

Changed in pulseaudio (Ubuntu):
status: Confirmed → Triaged
Raymond (superquad-vortex2) wrote :

There is no pcm devices for your card 2 usb midi

Pulseaudio should skip the card Similar to thinkpad ec coonsole at card 29 instead of reporting fail to find working profile

crw-rw----+ 1 root audio 116, 2 Mar 18 08:04 /dev/snd/controlC0 crw-rw----+ 1 root audio 116, 12 Mar 18 08:04 /dev/snd/controlC1 crw-rw----+ 1 root audio 116, 10 Mar 18 13:09 /dev/snd/controlC2 crw-rw----+ 1 root audio 116, 9 Mar 18 08:04 /dev/snd/hwC0D0 crw-rw----+ 1 root audio 116, 19 Mar 18 08:04 /dev/snd/hwC1D2 crw-rw----+ 1 root audio 116, 20 Mar 18 08:04 /dev/snd/hwC1D3 crw-rw----+ 1 root audio 116, 8 Mar 18 08:04 /dev/snd/midiC0D0 crw-rw----+ 1 root audio 116, 11 Mar 18 13:09 /dev/snd/midiC2D0

Raymond (superquad-vortex2) wrote :

https://cgit.freedesktop.org/pulseaudio/pulseaudio/tree/src/modules/alsa/mixer/profile-sets/90-pulseaudio.rules

Just add your usb ssid and ENV{PULSE_IGNORE}="1" after those usb devices

You need udev daemom reload the rules or reboot

Raymond (superquad-vortex2) wrote :

https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/sound?id=f49921b894ec338696e47d985acc09df3cddbfd1

Seem no channel map for playback and capture device for your cmi8738, the playback channel map is device 2

state.CMI8738 {
control.1 { iface PCM device 2 name 'Playback Channel Map' value.0 0 value.1 0 value.2 0 value.3 0 value.4 0 value.5 0 comment { access read type INTEGER count 6 range '0 - 36' } }

Raymond (superquad-vortex2) wrote :

As Three input jacks of your onboard alc887 were unplugged and pulseaudio does not regarded CD as available, pulseaudio may switch to cmi8378 which has no capture channel map

control.40 { iface CARD name 'Rear Mic Jack' value false comment { access read type BOOLEAN count 1 } } control.41 { iface CARD name 'Front Mic Jack' value false comment { access read type BOOLEAN count 1 } } control.42 { iface CARD name 'Line Jack' value false comment { access read type BOOLEAN count 1 } } control.43 { iface CARD name 'CD Phantom Jack' value true comment { access read type BOOLEAN count 1 } }

Raymond (superquad-vortex2) wrote :

http://git.alsa-project.org/?p=alsa-lib.git;a=blob;f=src/conf/cards/CMI8738-MC6.conf;hb=HEAD

Seem use different device for front, surround40 and surround51

https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/tree/sound/pci/cmipci.c

You need to add channel map in snd_cmipci_pcm_new, snd_cmipci_pcm2_new

It seem the channel map in snd_cmipci_pcm_spdif_new is not correct to use cm->max_channels

Fabio Marconi (fabiomarconi) wrote :

Hallo
@ David Henningsson (diwic)
The provided link is broken.

Fabio Marconi (fabiomarconi) wrote :

@ Raymond
Thanks for your interest, if you need something from me pls explain what I have to do cuz I am only a passionate and not a developer, so I can only follow detailed instruction.
Regards

Raymond (superquad-vortex2) wrote :

https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/sound?id=2d3391ec0ecca37efb6bc995906292f47522b471

The difference between std channel map and alt channel map

You need to modify the driver by adding lines without "+" at the end of the two routines

+ err = snd_pcm_add_chmap_ctls(pcm, SNDRV_PCM_STREAM_PLAYBACK,
+ snd_pcm_alt_chmaps, cm->max_channels, 0,
+ NULL);
+ if (err < 0)
+ return err;
+

Raymond (superquad-vortex2) wrote :

Can you post the pulseaudio verbose log?

You have to ask pulseaudio developer whether pulseaudio support spdif input since your onboard have digital capture device, iec958 capture switch and capture channel map for device 1

ARECORD **** List of CAPTURE Hardware Devices ****

card 1: MID [HDA Intel MID], device 0: ALC887 Analog [ALC887 Analog] Subdevices: 1/1 Subdevice #0: subdevice #0
card 1: MID [HDA Intel MID], device 1: ALC887 Digital [ALC887 Digital] Subdevices: 1/1 Subdevice #0: subdevice #0
card 1: MID [HDA Intel MID], device 2: ALC887 Alt Analog [ALC887 Alt Analog] Subdevices: 1/1 Subdevice #0: subdevice #0

Raymond (superquad-vortex2) wrote :

sys/class/sound/hwC0D2/init_pin_configs:
0x11 0x411110f0
0x12 0x411111f0
0x14 0x01014410
0x15 0x01011412
0x16 0x01016411
0x17 0x01012414
0x18 0x01a19c40
0x19 0x02a19c50
0x1a 0x0181344f
0x1b 0x02214c20
0x1c 0x593301f0
0x1d 0x4005e601
0x1e 0x014b6130
0x1f 0x01cb7160
 /sys/class/sound/hwC0D2/driver_pin_configs:
0x1b 0x02214120
0x1c 0x993301f0

Headphone jack detection since your gigabyte motherboard use same pci ssid

0:1b.0 0403: 8086:3b56 (rev 06)
Subsystem: 1458:a002

https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/sound/pci/hda/patch_realtek.c?id=b2c53e206967d01fd4fb6dd525f89ae738beb2e6

Codec: Realtek ALC887
Address: 2
AFG Function Id: 0x1 (unsol 1)
Vendor Id: 0x10ec0887
 Subsystem Id: 0x1458a102
Revision Id: 0x100202

Raymond (superquad-vortex2) wrote :

https://www.freedesktop.org/software/systemd/man/udevadm.html

Just add

LABEL="pulseaudio_check_usb"

+ATTRS{idVendor}=="1397", ATTRS{idProduct}=="01b0", ENV{PULSE_IGNORE}="1"

ATTRS{idVendor}=="17cc", ATTRS{idProduct}=="1978", ENV{PULSE_PROFILE_SET}="native-instruments-audio8dj.conf"

udevadm control --reload

Restart pulseaudio server by log out and log in

The driver should skip your usb midi card

David Henningsson (diwic) wrote :

@Fabio,

I've just uploaded pulseaudio 1:8.0-0ubuntu3 to xenial, and I've included a patch that *might* fix this issue (the patch in the link, which you say is broken, but I can click on it just fine). I'm not sure, but it's worth a try. Hopefully it'll get through all testing to be relelased in xenial today. Could you check if it resolves the issue? Thanks!

Changed in pulseaudio (Ubuntu):
status: Triaged → Incomplete
David Henningsson (diwic) wrote :

@Raymond, sometimes you're absolutely correct, and often your comments are helpful, but this is one of the times when what you're talking about seems unrelated to this particular bug (about PA crashing)...?

Raymond (superquad-vortex2) wrote :

It is unlikely that your patch fix the problem since none of the drivers of those users have a volume control with multi channel

Only two users have drivers which does not have capture channel map (e.g. cmipci and intel8x0)

it is not clear why hda-intel can trigger the bug, the acer aspire 7540 has hda modem codec with channel mode and mic, line in jacks

Raymond (superquad-vortex2) wrote :

You need to open bug report at bugzilla.kernel.org as your snd-cmipci driver does not have dB ranges and channel map, support 5.1 multi channels but no volume control for rear center and lfe

David Henningsson (diwic) wrote :

 > It is unlikely that your patch fix the problem since none of the drivers of those users have a volume control with multi channel

I found this:

 control.15 {
  iface MIXER
  name 'Line Capture Route'
  value.0 false
  value.1 false
  value.2 false
  value.3 false
  comment {
   access 'read write'
   type BOOLEAN
   count 4
  }
 }

Fabio Marconi (fabiomarconi) wrote :

Hallo Davided,
I checked the link and it is working now... weird..
I still waiting that your uploaded become available.
Best regards and thanks to both.

Changed in pulseaudio (Ubuntu):
status: Incomplete → Triaged
Raymond (superquad-vortex2) wrote :

https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/tree/sound/pci/cmipci.c

CMIPCI_SB_INPUT_SW("Line Capture Route", 4, 3),

You have to ask the Maintainter of cmipci why the control have 4 values if it emulate sb16

Raymond (superquad-vortex2) wrote :

http://www.cmedia.com.tw/productsdetail/page-p/c1serno-25/c2serno-28/pserno-31.html

8738-LX/MX supports 6CH DAC 5.1 surround output for movies and 3D games.
8738-SX supports 4CH DAC surround output for movies and 3D games.
Built-in 2CH 16bit ADC.
Supports full-duplex 44.1K/48KHz sample rate playback and recording at 16bit.
Supports analog mixer for Line-in, Mic-in, Aux, CD inputs.

tags: added: yakkety
Mauricio Maluff Masi (mmaluff) wrote :

I see this consistently after plugging in simple headphones. I have an XPS 13 9343. I'd be happy to help nail it down in any way I can.

Mauricio Maluff Masi (mmaluff) wrote :

I managed to find a workaround thanks to Dell tech support. This worked for me, though be careful, as it does involve removing a package without removing dependencies. Here's what we did:

sudo dpkg --remove --force-depends pulseaudio
sudo apt install pulseaudio

I haven't had the issue since even after a few reboots! It used to be very easy to reproduce previously.

Mauricio Maluff Masi (mmaluff) wrote :

...the issue is back now. Ignore post #42.

Mauricio Maluff Masi (mmaluff) wrote :

I'm attaching my crash dump here. It looks very similar to Fabio's.

Mauricio Maluff Masi (mmaluff) wrote :

It looks like my alsa_info is included in the crash dump, but here it is anyway.

Mauricio Maluff Masi (mmaluff) wrote :

And my verbose pulseaudio log when reproducing the error. Let me know if there's anything else I can help with.

Mauricio Maluff Masi (mmaluff) wrote :

Ok, I've been playing around with it, and here's what I've been able to interpret. The error only happens when, after connecting my headset after a startup, I choose "headset" in the attached prompt. The error *doesn't* happen if I choose "headphones" instead.

Mauricio Maluff Masi (mmaluff) wrote :

This is the log when I instead choose the "headphones" option, and I get no error. Audio works great, but the microphone doesn't.

Changed in pulseaudio:
importance: Unknown → Medium
status: Unknown → Confirmed
tags: added: for search test
removed: amd64 apport-crash rls-x-incoming xenial yakkety
Török Edwin (edwintorok) wrote :

FWIW this crash has jut occured for me on Zesty while running the audio tests from checkbox-ng. It is not easily reproducible though (it happened the first time I run the tests, but didn't the second time).

Georg Chini (gchini) wrote :

I probably figured out the reason for the crashes. Can someone please test
this patch: https://patchwork.freedesktop.org/patch/153418/ Patch is against
current git but should apply well to older PA versions.

Mauricio: It would be nice if you could test it - your logs showed where the
problem was. Somehow module-device-restore sets your headset mic volume to
insanely high values (around +170 dB). You will have to correct that as well
if it does not crash anymore. (Please don't try to correct it before testing
the patch, the bug is only exposed when a high volume is set)

tags: added: amd64 apport-crash artful rls-x-incoming xenial yakkety zesty
removed: for search test
summary: - pulseaudio crashed with SIGABRT in pa_alsa_path_set_volume()
+ pulseaudio crashed with SIGABRT in pa_alsa_path_set_volume() from
+ source_set_volume_cb() from pa_source_process_msg()
Changed in pulseaudio (Ubuntu):
importance: Medium → High
Daniel van Vugt (vanvugt) wrote :

Bumped importance to reflect the high frequency with which this crash is occurring in recent Ubuntu releases:
https://errors.ubuntu.com/?package=pulseaudio&period=month

Changed in pulseaudio (Ubuntu):
importance: High → Critical
milestone: ubuntu-16.04 → none
themusicgod1 (themusicgod1) wrote :

( It's not marked on this ticket/updating the status on launchpad but the freedesktop.org ticket merged a fix yesterday, those affected may want to pull that fix )

Changed in pulseaudio:
status: Confirmed → Fix Released
description: updated
Daniel van Vugt (vanvugt) wrote :
Changed in pulseaudio (Ubuntu):
importance: Critical → High
assignee: David Henningsson (diwic) → nobody
Daniel van Vugt (vanvugt) wrote :

themusicgod1: Yes, artful will get that fix in due time. And once it does we are clear to SRU it to xenial and others.

no longer affects: pulseaudio (Ubuntu)
Changed in pulseaudio (Ubuntu):
status: New → Triaged
importance: Undecided → High
assignee: nobody → Daniel van Vugt (vanvugt)
Changed in pulseaudio (Ubuntu):
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:10.0-2ubuntu1

---------------
pulseaudio (1:10.0-2ubuntu1) artful; urgency=medium

  * Cherrypick fixes for common crashes from upstream:
    - cb78d6f5: SIGABRT in device_start_waiting_for_profiles (LP: #1690028,
      LP: #1672171)
    - d985276c: SIGABRT in pa_alsa_path_set_volume (LP: #1539209, LP: #1562817)
  * Enable modules that needn't be disabled:
    - module-role-cork: Now enabled per upstream defaults (LP: #1701688)
    - module-switch-on-connect: Enabled for seamless hotplugging (LP: #1702794)
  * Don't try to load sounds that don't exist in Kubuntu (LP: #1703334)
  * Merge latest debian changes (see below).

 -- Daniel van Vugt <email address hidden> Tue, 11 Jul 2017 16:57:16 +0800

Changed in pulseaudio (Ubuntu):
status: Fix Committed → Fix Released
description: updated
description: updated
Daniel van Vugt (vanvugt) wrote :

Proposed fix for xenial

Changed in pulseaudio (Ubuntu Xenial):
importance: Undecided → High
Changed in pulseaudio (Ubuntu Zesty):
importance: Undecided → High
Sebastien Bacher (seb128) wrote :

thanks, uploaded to xenial

Hello MrRomanze, or anyone else affected,

Accepted pulseaudio into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/pulseaudio/1:8.0-0ubuntu3.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in pulseaudio (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed verification-needed-xenial
Chris J Arges (arges) wrote :

Is there a fix required for zesty as well?

Daniel van Vugt (vanvugt) wrote :

Yes, I briefly forgot about zesty. We could fix zesty too, but in hindsight it's probably still a good idea to prioritize xenial first.

tags: added: verification-done verification-done-xenial
removed: verification-needed verification-needed-xenial
Brian Murray (brian-murray) wrote :

Given that upgrading from 16.04 to 17.04 is a supported upgrade path, I'd prefer that the fix was released simultaneously to both release thereby preventing a regression on upgrade to 17.04.

Daniel van Vugt (vanvugt) wrote :

I spoke to Will Cooke about this a week or two ago. He was happy to skip 17.04 given EOL is only 3 months away.

Alternatively, I would also be willing to skip xenial now too. It appears that 8.0-0ubuntu3.4 is still crashing :( ...
  https://errors.ubuntu.com/problem/49276ec9f717c5268dfc99940a28fb4a56fe1b4a

Seems there is an additional patch or two in Pulse 9.0-10.0 that's missing in 8.0-0ubuntu3.4.

tags: added: verification-failed verification-failed-xenial
removed: verification-done verification-done-xenial
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:8.0-0ubuntu3.4

---------------
pulseaudio (1:8.0-0ubuntu3.4) xenial; urgency=medium

  * debian/control: Update Vcs fields to launchpad git.
  * Cherrypick fixes for common crashes from upstream:
    - cb78d6f5: SIGABRT in device_start_waiting_for_profiles (LP: #1690028,
      LP: #1672171)
    - d985276c: SIGABRT in pa_alsa_path_set_volume (LP: #1539209, LP: #1562817)

 -- Daniel van Vugt <email address hidden> Fri, 11 Aug 2017 15:16:57 +0800

Changed in pulseaudio (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for pulseaudio has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Daniel van Vugt (vanvugt) wrote :
Changed in pulseaudio (Ubuntu Xenial):
status: Fix Released → Confirmed
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in pulseaudio (Ubuntu Zesty):
status: New → Confirmed
To post a comment you must log in.